%define name lastfmsubmitd
%define version 1.0.6
%define release %mkrel 1

Summary:    Last.fm Submit Daemon
Name:       %{name}
Version:    %{version}
Release:    %{release}
License:    Other GPL, see package
Group:      Development/Python
Source0:    %{name}-%{version}.tar.xz
BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: python python-devel
BuildArch:  noarch
URL:        http://www.red-bean.com/decklin/lastfmsubmitd/
Requires:   python >= 2.6
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
lastfmsubmitd is a daemon meant to be used by Last.fm player plugins. It
handles all aspects of submitting data to the Last.fm servers, so that player
plugins only need to watch what songs are played and write a representation
of each played song to its spool.

The format used for serializing songs is a simple YAML dictionary, which
can be constructed with YAML libraries (available for many languages), or
printed ad hoc. The spool is managed with standard unix permissions, and many
different players can use the same daemon to submit. Each instance of
lastfmsubmitd uses a single account.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT 
  
  for d in /var/log /var/run /var/spool; do
    mkdir -p %{buildroot}$d/lastfm
  done

#conf file
mkdir -p %buildroot%_sysconfdir/
cat > %buildroot%_sysconfdir/%{name}.conf << EOF
[account]
user: 
password: 

[daemon]
sleep_time: 5
debug: False

[paths]
log: /var/log/lastfm/lastfm.log
pidfile: /var/run/lastfm/daemon_name.pid
spool: /var/spool/lastfm
EOF

%pre  
echo "creating group lstfmusers..."  
groupadd -r lstfmusers 2>/dev/null || :  

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS INSTALL README
%_bindir/lastfmsubmitd
%_libdir/lastfmsubmitd
%py_sitedir/*
%_mandir/man1/lastfmsubmitd.1.bz2
%dir %attr(775,root,lastfmusers) /var/log/lastfm
%dir %attr(775,root,lastfmusers) /var/run/lastfm
%dir %attr(775,root,lastfmusers) /var/spool/lastfm
%_sysconfdir/%{name}.conf

%changelog
* Sat Sep 11 2010 Texstar <texstar at gmail.com> 1.0.6-1pclos2010
- Update

* Sat Dec 05 2009 slick50 <lxgator at gmail.com> 1.0.5-1pclos2010
- import
